---
title: RTCPeerConnection()
slug: Web/API/RTCPeerConnection/RTCPeerConnection
tags:
  - API
  - Constructor
  - Experimental
  - RTCPeerConnection
  - Reference
  - WebRTC
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>RTCPeerConnection()</code></strong> constructor returns a newly-created {{domxref("RTCPeerConnection")}}, which represents a connection between the local device and a remote peer.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">pc = new RTCPeerConnection([<em>configuration</em>]);</pre>

<h3 class="syntaxbox" id="Parameters">Parameters</h3>

<dl>
 <dt><code>configuration</code> {{optional_inline}}</dt>
 <dd>An <a href="#RTCConfiguration_dictionary"><code>RTCConfiguration</code> dictionary</a> providing options to configure the new connection.</dd>
</dl>

<h3 id="RTCConfiguration_dictionary">RTCConfiguration dictionary</h3>

<p>{{page("/en-US/docs/Web/API/RTCConfiguration", "Properties")}}</p>

<h3 id="Return_value">Return value</h3>

<p>A newly-created {{domxref("RTCPeerConnection")}} object, configured as described by <code>configuration</code>, if specified; otherwise, configured to appropriate basic defaults.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-peerconnection', 'RTCPeerConnection()')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnection.RTCPeerConnection")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API/Signaling_and_video_calling">Signaling and video calling</a></li>
 <li><a href="/en-US/docs/Web/API/WebRTC_API/Architecture">WebRTC architecture overview</a></li>
 <li><a href="/en-US/docs/Web/API/WebRTC_API/Session_lifetime">Lifetime of a WebRTC session</a></li>
 <li>{{domxref("RTCPeerConnection")}}</li>
</ul>
